WordPress.org

Support

Support » Themes and Templates » 2.2.1 upgrade broke my theme, can it be fixed?

2.2.1 upgrade broke my theme, can it be fixed?

  • I’ve been using the “Postcards from the Edge” theme from Alex King (you can see it here: http://alexking.org/projects/wordpress/theme_browser.php). I just upgraded my WordPress site to the latest version and now the theme no longer works. When I go to my admin section, presentation area to see the available themes, it now is only listed at the bottom under “broken themes” and says “template is missing”. I had not made any changes to any of the theme files when I did the upgrade, so I know everything is there, including the index.php file. I even tried re-uploading all the files from scratch but that didn’t fix the problem. Apparently this theme was only optimized for earlier versions… but I love it and really want to keep using it.

    Does anyone know what changes if any I can make to this themes files in order to get it working with the newer version of WordPress? I tried asking the themes author for help but he can’t be bothered unless I pay a consultation fee. Uh sorry, that ain’t gonna happen (this was made available as a free theme). Any help on this would be much appreciated, I really want to save this lovely theme! Thanks.

Viewing 7 replies - 1 through 7 (of 7 total)
  • whooami

    @whooami

    Member

    that theme was written for wordpress 1.5

    as for the changes you need to make — you can look at the two themes included with the version of WP you currently have installed to see what needs to be changed.

    whooami

    @whooami

    Member

    that theme was written for wordpress 1.5

    as for the changes you need to make — you can look at the two themes included with the version of WP you currently have installed to see what needs to be changed.

    i remember that previous_post and next_post type of template tags needed to be changed in many themes during one of the upgrades

    but that’s not a missing template, so i’m not sure.

    maybe you can write the list of the templates this theme has? index, category, search, archives, single post, etc.?

    whooami

    @whooami

    Member

    03/25/2005  08:09 PM             5,399 comments-popup.php
    03/25/2005  08:09 PM             3,140 comments.php
    03/25/2005  08:09 PM               510 footer.php
    03/25/2005  08:09 PM             1,385 header.php
    03/26/2005  02:08 PM    <DIR>          images
    03/25/2005  08:09 PM             1,219 index.php
    03/26/2005  02:10 PM             2,268 sidebar.php
    03/26/2005  02:09 PM             6,703 style.css

    .. only because I happen to have the files handy.

    I looked around in the Template Hierarchy, didn’t see any mention of a required template other than header.php and index.php. So I’m not sure, but maybe the Codex can help you somehow
    http://codex.wordpress.org/Template_Hierarchy

    Check the top of the stylesheet. If there is a line
    Template: something
    – DELETE it! It should work.

    “Check the top of the stylesheet. If there is a line
    Template: something
    – DELETE it! It should work.”

    YES! It now works!

    Thanks so much Moshu!
    (thanks everyone else for your suggestions as well)

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘2.2.1 upgrade broke my theme, can it be fixed?’ is closed to new replies.
Skip to toolbar